Next: Autostarting programs from the command-line, Previous: Invoking the emulators, Up: Invoking the emulators [Contents][Index]

### 3.1 Command-line options used during initialization

There are several options you can specify on the command line. Some of them are used to specify emulation settings and will be described in detail later (see Settings and resources for a complete list). The remaining options are used only to give usage information or to initialize the emulator in some way:

`-help`
`-?`

  List all the available command-line options and their meaning.

`-features`

  List all compile time features

`-default`

  Set default resources (see Settings and resources). This will override all the settings specified before, but not the settings specified afterwards on the command line.

`-config <filename>`

  Specify config file

`-addconfig <filename>`

  Specify extra config file for loading additional resources. This can be used to add "patch sets" for various configurations.

`-dumpconfig <filename>`

  Write the complete config into file. Normally only resources that have been changed from their default value would be written to the config file, however with this option you can see all resources and their current values.

`-logfile <name>`

  Specify log file name (`LogFileName`).

`-verbose`

  Enable verbose log output.

`-silent`

  Disable all log output (except errors).

`-keybuf <string>`

  Put the specified string into the keyboard buffer.

`-console`

  Console mode (for music playback, or for running the emulator test programs)

`-limitcycles <cycles>`

  Automatically exit the emulator after a given number of cycles.

`-chdir <directory>`

  Change the working directory.

`-autostart <name>`

  Autostart <name> (see Autostarting programs from the command-line).

`-autoload <name>`

  Attach and autoload tape/disk image <name>

`-1 <Name>`

  Attach <Name> as a tape image file.

`-8 <Name>`
`-9 <Name>`
`-10 <Name>`
`-11 <Name>`

  Attach <Name> as a disk image to device 8, 9, 10 or 11.

`-8d1 <Name>`
`-9d1 <Name>`
`-10d1 <Name>`
`-11d1 <Name>`

  Attach <Name> as a disk image to the second drive of a dual-drive device 8, 9, 10 or 11.

`-attach8ro`
`-attach9ro`
`-attach10ro`
`-attach11ro`

  Attach disk image for drive #8-11 read only (`AttachDevice8Readonly=1`, `AttachDevice9Readonly=1`, `AttachDevice10Readonly=1`, `AttachDevice11Readonly=1`) (all emulators except vsid).

`-attach8d1ro`
`-attach9d1ro`
`-attach10d1ro`
`-attach11d1ro`

  Attach disk image for second drive of a dual-drive #8-11 read only (`AttachDevice8d1Readonly=1`, `AttachDevice9d1Readonly=1`, `AttachDevice10d1Readonly=1`, `AttachDevice11d1Readonly=1`) (all emulators except vsid).

`-attach8rw`
`-attach9rw`
`-attach10rw`
`-attach11rw`

  Attach disk image for drive #8-11 read write (if possible) (`AttachDevice8Readonly=0`, `AttachDevice9Readonly=0`, `AttachDevice10Readonly=0`, `AttachDevice11Readonly=0`) (all emulators except vsid).

`-attach8d1rw`
`-attach9d1rw`
`-attach10d1rw`
`-attach11d1rw`

  Attach disk image for second drive of a dual-drive #8-11 read write (if possible) (`AttachDevice8d1Readonly=0`, `AttachDevice9d1Readonly=0`, `AttachDevice10d1Readonly=0`, `AttachDevice11d1Readonly=0`) (all emulators except vsid).

`-exitscreenshot <name>`

  Specify name of a screenshot file that will be written when the emulator exits. (`ExitScreenshotName`).

`-exitscreenshotvicii <name>`

  Specify name of a screenshot file that will be written when the emulator exits. (`ExitScreenshotName1`). (x128)

Next: Autostarting programs from the command-line, Previous: Invoking the emulators, Up: Invoking the emulators [Contents][Index]